<div ng-if="orderables && orderables.$resolved && orderables.length === 0">
	<div class="alert alert-danger alert-dismissible" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
		<strong>Hinweis!</strong> Für diese Woche sind noch keine Bestelllisten hinterlegt.
	</div>
</div>
<form name="myForm" class="table-responsive">
	<table class="table table-condensed">
		<thead>
			<tr>
				<th colspan="4">
					<div class="alert alert-locked-orders" ng-if="IsClosedForOrders" role="alert">
						Für diese Woche sind die Bestellungen abgeschlossen.
					</div>
				</th>
			</tr>
			<tr>
				<th colspan="2">
					<span class="badge" ng-repeat="supplier in suppliers" uib-tooltip="{{supplier}} wurde (noch) nicht eingetragen und kann daher noch nicht bestellt werden."
						ng-if="missingSupplier(supplier)" ng-bind="supplier.charAt(0)">
              </span>
				</th>
				<th>
					<div>
						Anfangs-
					</div>
					<div>
						bestand
					</div>
				</th>
				<th class="text-right">{{startBalance| currency}}</th>
				<th></th>
			</tr>
			<tr>
				<th colspan="2">
					<div class="checkbox text-center">
						<label class="btn btn-default">
      <input ng-checked="!!collectsOnWednesday" ng-click="toggleWednesday()" type="checkbox"> Ich hole am Mittwoch
    </label>
					</div>
				</th>
				<th>Einzahlung</th>
				<th>
					<input tabindex="1" name="deposit" type="text" ng-model-options='{ debounce: 250 }' ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,2}$"
						german-number ng-change="updateDeposit(deposit)" ng-model="deposit" class="form-control input-sm text-right pull-right"
						keybindings />
				</th>
				<th></th>
			</tr>
			<tr ng-if="isFirstWeekInMonth">
				<th colspan="2">
				</th>
				<th>Miete</th>
				<th>
					<input tabindex="2" name="rent" type="text" ng-model-options='{ debounce: 250 }' ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,2}$"
						german-number ng-change="update(rent,'rent')" ng-model="rent.pricePerQuantity" class="form-control input-sm text-right pull-right"
						keybindings />
				</th>
				<th></th>
			</tr>
			<tr>
				<th>Name
					<i class="fa fa-plus-circle btn btn-default btn-xs" ng-click="addProduct()"></i>
					<i tooltip-append-to-body="true" uib-tooltip="Versuchen, das Selbe wie letzte Woche zu bestellen." class="fa fa-retweet btn btn-default btn-xs" ng-click="tryOrderSameAsLastWeek()"></i>
				</th>
				<th>Menge</th>
				<th>Preis</th>
				<th>Kosten</th>
				<th></th>
			</tr>
		</thead>
		<tbody>
			<tr ng-repeat="product in products track by $index">
				<td>
					<div ng-if="product.OrderableId" class="input-group input-group-sm">
						<input tabindex="{{3*$index+3}}" ng-disabled="true" title="{{product.name}}" type="text" ng-model="product.name" class="form-control"
						/>
						<span class="input-group-addon"><i title="Ist mit einer Bestellung verknüpft" class="fa fa-shopping-cart"></i></span>
					</div>
					<input tabindex="{{3*$index+3}}" name="{{'p' + product._id + product.name}}" ng-if="!product.OrderableId" ng-model-options='{ debounce: 50 }'
						type="text" ng-model="product.name" ng-change="update(product, 'p' + product._id + product.name)" typeahead-on-select="selectProduct($item, $model, $label, product)"
						uib-typeahead="product as (product.name) for product in recentProducts | filter:$viewValue" typeahead-template-url="customTemplate.html"
						class="form-control input-sm" autocomplete="off" keybindings />
				</td>
				<td>
					<input tabindex="{{3*$index+4}}" name="{{'p' + product._id + product.quantity}}" ng-model-options='{ debounce: 250 }' ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,3}$"
						german-number type="text" ng-model="product.quantity" ng-change="update(product, 'p' + product._id + product.quantity)"
						class="form-control input-sm text-right" keybindings />
				</td>
				<td>
					<input tabindex="{{3*$index+5}}" name="{{'p' + product._id + product.pricePerQuantity}}" ng-model-options='{ debounce: 250 }'
						ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,2}$" german-number ng-disabled="product.OrderableId" type="text" ng-change="update(product, 'p' + product._id + product.pricePerQuantity)"
						ng-model="product.pricePerQuantity" class="form-control input-sm text-right" keybindings />
				</td>
				<td class="text-right">{{product.price|currency}}</td>
				<td ng-confirm-delete="{{product.name}}" confirmed-delete="delete(product,$index)"><i class="btn fa fa-trash-o"></td>
  </tr>
  <tr>
    <td colspan="2" rowspan="2">
      <div>
        <i class="btn btn-default fa fa-keyboard-o" ng-click="toggleCheatsheet()" aria-hidden="true"></i>
					</div>
					<div>
						<strong>Produktname</strong> Name♦Einheit♦Land♦Verband♦Lieferant
					</div>
					<div>
						<strong>Verbände</strong> DD: Demeter, DB=Bioland, DN=Naturland, e.E.=eigene Erzeugung, EG=EG-Verordnung
					</div>
				</td>
				<th>Summe der Einkäufe</th>
				<th class="text-right">
					{{sumProducts()|currency}}
				</th>
				<th></th>
			</tr>
			<tr>
				<th>Endbestand</th>
				<th class="text-right">{{calcEndBalance()| currency}}</th>
				<th></th>
			</tr>
		</tbody>
	</table>
</form>
<script type="text/ng-template" id="customTemplate.html">
  <a>
    <div ng-bind-html="match.model.name  | uibTypeaheadHighlight:query"></div>
    <small class="flex-space-between">
      <span ng-bind-html="match.model.supplier"></span>
      <span>
        <span ng-bind-html="match.model.pricePerQuantity | currency:''"></span>€
      </span>
    </small>
  </a>
</script>